-- ABS-69756 / ABS-69796
-- these processes were also added in previous scripts, however, because they were not added pack_utilities
-- they were not included in new installations. to make sure these processes are delivered to all customers
-- it was decided the best way is to create an official standard update script.

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (7, ''Status Quo Max Items in Circulation'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (95, ''Clean Up Historical Invoice Data'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (96, ''Import LCT transactions'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (102, ''Inactivate Customer Delivery Schemes'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (107, ''Export Invoices (Postings) to GP'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (108, ''Export Invoices (PDF)'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (109, ''Import Customers on Hold from GP'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (110, ''Import Sales Item Cost from GP'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (111, ''Import Direct Sales Item from GP'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;

DECLARE
BEGIN
  EXECUTE IMMEDIATE 'INSERT INTO PROCESS
  (PROCESS_ID, DESCRIPTION, ACTIVE)
VALUES
  (112, ''Export Dispatched Sales Items to GP'', ''Y'')';
EXCEPTION
  WHEN OTHERS THEN
    NULL;
END;
/
COMMIT;